Bug 1731744 - fd-find completions for fish are installed to wrong directory
Summary: fd-find completions for fish are installed to wrong directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-fd-find
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-21 16:01 UTC by Jannik
Modified: 2019-07-23 02:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-23 02:03:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Jannik 2019-07-21 16:01:50 UTC
Description of problem:

Currently, the fish completion file of fd is installed to /usr/share/fish/vendor_functions.d, but this directory is for function definitions only. The completion would belong to /usr/share/fish/vendor_completions.d

It might be possible that this also happened to other packages.


Version-Release number of selected component (if applicable):

fd-find-7.3.0-1.module_f30+4091+57748029.x86_64

Comment 1 Fedora Update System 2019-07-22 19:07:25 UTC
FEDORA-MODULAR-2019-1897a38d3c has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-1897a38d3c

Comment 2 Fedora Update System 2019-07-22 19:07:26 UTC
FEDORA-MODULAR-2019-ff743a2fec has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-ff743a2fec

Comment 3 Fedora Update System 2019-07-23 02:03:24 UTC
fd-find-rolling-3020190722174030.a23e773d has been pushed to the Fedora 30 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2019-07-23 02:03:47 UTC
fd-find-rolling-2920190722174030.c5ebb199 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.